# OR04 - Patch update orders

Description

Update orders information field by field: unspecified fields will not be updated. To remove the value for a field, send it with the 'null' value (not allowed for the required fields).You cannot use API OR04 to update customer-related information if the customer has been anonymized via API AN01.A maximum of 100 orders can be sent at once.


Call Frequency

Recommended usage: At each information update of one or multiple orders (for example: to modify the billing address)
Maximum usage: Once per minute, 100 orders per call
Read More

More contextIf the customer organization feature is activated, read this page

Endpoint: PUT /api/orders

## Request fields (application/json):

  - `orders` (array, required)
    Orders to be updated, maximum number of orders per call: 100

  - `orders.customer` (object)
    Customer information of the order (billing address)

  - `orders.customer.accounting_contact` (object)
    Data related to the accounting contact in the organization

  - `orders.customer.accounting_contact.customer_id` (string)
    Customer contact's identifier

  - `orders.customer.billing_address` (object)
    Customer billing address

  - `orders.customer.billing_address.city` (string)
    Address city

  - `orders.customer.billing_address.civility` (string)
    Civility of the person associated with the address

  - `orders.customer.billing_address.company` (string)
    Company of the person associated with the address

  - `orders.customer.billing_address.company_2` (string)
    Second company information of the person associated with the address

  - `orders.customer.billing_address.country` (string)
    Address country

  - `orders.customer.billing_address.country_iso_code` (string)
    Country ISO 3166-1 code of the address, used by Mirakl to format the address (back office, delivery bill, invoices...) and to adapt the address validation to the country
    Enum: "AFG", "ALA", "ALB", "DZA", "ASM", "AND", "AGO", "AIA", "ATA", "ATG", "ARG", "ARM", "ABW", "AUS", "AUT", "AZE", "BHS", "BHR", "BGD", "BRB", "BLR", "BEL", "BLZ", "BEN", "BMU", "BTN", "BOL", "BES", "BIH", "BWA", "BVT", "BRA", "IOT", "BRN", "BGR", "BFA", "BDI", "KHM", "CMR", "CAN", "CPV", "CYM", "CAF", "TCD", "CHL", "CHN", "CXR", "CCK", "COL", "COM", "COG", "COD", "COK", "CRI", "CIV", "HRV", "CUB", "CUW", "CYP", "CZE", "DNK", "DJI", "DMA", "DOM", "ECU", "EGY", "SLV", "GNQ", "ERI", "EST", "ETH", "FLK", "FRO", "FJI", "FIN", "FRA", "GUF", "PYF", "ATF", "GAB", "GMB", "GEO", "DEU", "GHA", "GIB", "GRC", "GRL", "GRD", "GLP", "GUM", "GTM", "GGY", "GIN", "GNB", "GUY", "HTI", "HMD", "VAT", "HND", "HKG", "HUN", "ISL", "IND", "IDN", "IRQ", "IRL", "IMN", "ISR", "ITA", "JAM", "JPN", "JEY", "JOR", "KAZ", "KEN", "KIR", "KOR", "KWT", "KGZ", "LAO", "LVA", "LBN", "LSO", "LBR", "LBY", "LIE", "LTU", "LUX", "MAC", "MKD", "MDG", "MWI", "MYS", "MDV", "MLI", "MLT", "MHL", "MTQ", "MRT", "MUS", "MYT", "MEX", "FSM", "MDA", "MCO", "MNG", "MNE", "MSR", "MAR", "MOZ", "MMR", "NAM", "NRU", "NPL", "NLD", "NCL", "NZL", "NIC", "NER", "NGA", "NIU", "NFK", "MNP", "NOR", "OMN", "PAK", "PLW", "PSE", "PAN", "PNG", "PRY", "PER", "PHL", "PCN", "POL", "PRT", "PRI", "QAT", "REU", "ROU", "RUS", "RWA", "BLM", "SHN", "KNA", "LCA", "MAF", "SPM", "VCT", "WSM", "SMR", "STP", "SAU", "SEN", "SRB", "SYC", "SLE", "SGP", "SXM", "SVK", "SVN", "SLB", "SOM", "ZAF", "SGS", "SSD", "ESP", "LKA", "SUR", "SJM", "SWZ", "SWE", "CHE", "TWN", "TJK", "TZA", "THA", "TLS", "TGO", "TKL", "TON", "TTO", "TUN", "TUR", "TKM", "TCA", "TUV", "UGA", "UKR", "ARE", "GBR", "USA", "UMI", "URY", "UZB", "VUT", "VEN", "VNM", "VGB", "VIR", "WLF", "YEM", "ZMB", "ZWE"

  - `orders.customer.billing_address.firstname` (string)
    First name of the person associated with the address

  - `orders.customer.billing_address.lastname` (string)
    Last name of the person associated with the address

  - `orders.customer.billing_address.phone` (string)
    Phone

  - `orders.customer.billing_address.phone_secondary` (string)
    Phone secondary

  - `orders.customer.billing_address.state` (string)
    Address state

  - `orders.customer.billing_address.street_1` (string)
    First information line of the address street

  - `orders.customer.billing_address.street_2` (string)
    Second information line of the address street

  - `orders.customer.billing_address.zip_code` (string)
    Address zip code

  - `orders.customer.delivery_contact` (object)
    Data related to the delivery contact in the organization

  - `orders.customer.delivery_contact.customer_id` (string)
    Customer contact's identifier

  - `orders.customer.organization` (object)
    Data related to the organization that created the order (B2B transactions)

  - `orders.customer.organization.address` (object)
    Address of the organization

  - `orders.customer.organization.address.city` (string)
    Address city

  - `orders.customer.organization.address.country_iso_code` (string)
    Country ISO 3166-1 code of the address, used by Mirakl to format the address (back office, delivery bill, invoices...) and to adapt the address validation to the country (see zip_code field)
    Enum: "AFG", "ALA", "ALB", "DZA", "ASM", "AND", "AGO", "AIA", "ATA", "ATG", "ARG", "ARM", "ABW", "AUS", "AUT", "AZE", "BHS", "BHR", "BGD", "BRB", "BLR", "BEL", "BLZ", "BEN", "BMU", "BTN", "BOL", "BES", "BIH", "BWA", "BVT", "BRA", "IOT", "BRN", "BGR", "BFA", "BDI", "KHM", "CMR", "CAN", "CPV", "CYM", "CAF", "TCD", "CHL", "CHN", "CXR", "CCK", "COL", "COM", "COG", "COD", "COK", "CRI", "CIV", "HRV", "CUB", "CUW", "CYP", "CZE", "DNK", "DJI", "DMA", "DOM", "ECU", "EGY", "SLV", "GNQ", "ERI", "EST", "ETH", "FLK", "FRO", "FJI", "FIN", "FRA", "GUF", "PYF", "ATF", "GAB", "GMB", "GEO", "DEU", "GHA", "GIB", "GRC", "GRL", "GRD", "GLP", "GUM", "GTM", "GGY", "GIN", "GNB", "GUY", "HTI", "HMD", "VAT", "HND", "HKG", "HUN", "ISL", "IND", "IDN", "IRQ", "IRL", "IMN", "ISR", "ITA", "JAM", "JPN", "JEY", "JOR", "KAZ", "KEN", "KIR", "KOR", "KWT", "KGZ", "LAO", "LVA", "LBN", "LSO", "LBR", "LBY", "LIE", "LTU", "LUX", "MAC", "MKD", "MDG", "MWI", "MYS", "MDV", "MLI", "MLT", "MHL", "MTQ", "MRT", "MUS", "MYT", "MEX", "FSM", "MDA", "MCO", "MNG", "MNE", "MSR", "MAR", "MOZ", "MMR", "NAM", "NRU", "NPL", "NLD", "NCL", "NZL", "NIC", "NER", "NGA", "NIU", "NFK", "MNP", "NOR", "OMN", "PAK", "PLW", "PSE", "PAN", "PNG", "PRY", "PER", "PHL", "PCN", "POL", "PRT", "PRI", "QAT", "REU", "ROU", "RUS", "RWA", "BLM", "SHN", "KNA", "LCA", "MAF", "SPM", "VCT", "WSM", "SMR", "STP", "SAU", "SEN", "SRB", "SYC", "SLE", "SGP", "SXM", "SVK", "SVN", "SLB", "SOM", "ZAF", "SGS", "SSD", "ESP", "LKA", "SUR", "SJM", "SWZ", "SWE", "CHE", "TWN", "TJK", "TZA", "THA", "TLS", "TGO", "TKL", "TON", "TTO", "TUN", "TUR", "TKM", "TCA", "TUV", "UGA", "UKR", "ARE", "GBR", "USA", "UMI", "URY", "UZB", "VUT", "VEN", "VNM", "VGB", "VIR", "WLF", "YEM", "ZMB", "ZWE"

  - `orders.customer.organization.address.state` (string)
    Address state

  - `orders.customer.organization.address.street_1` (string)
    First information line of the address street

  - `orders.customer.organization.address.street_2` (string)
    Second information line of the address street

  - `orders.customer.organization.address.zip_code` (string, required)
    Address zip code, mandatory except for: Bahrain, Chile, Egypt, Hong-Kong, Kuwait, Oman, Peru, Qatar, Saudi Arabia, United Arab Emirates or Uruguay

  - `orders.customer.organization.identification_number` (string)
    Identification number of the organization

  - `orders.customer.organization.name` (string)
    Name of the organization

  - `orders.customer.organization.tax_identification_number` (string)
    Tax identification number of the organization

  - `orders.customer.shipping_address` (object)
    Customer shipping address

  - `orders.customer.shipping_address.additional_info` (string)
    Additional information for the shipping address

  - `orders.customer.shipping_address.city` (string)
    Address city

  - `orders.customer.shipping_address.civility` (string)
    Civility of the person associated with the address

  - `orders.customer.shipping_address.company` (string)
    Company of the person associated with the address

  - `orders.customer.shipping_address.company_2` (string)
    Second company information of the person associated with the address

  - `orders.customer.shipping_address.country` (string)
    Address country

  - `orders.customer.shipping_address.country_iso_code` (string)
    Country ISO 3166-1 code of the address, used by Mirakl to format the address (back office, delivery bill, invoices...) and to adapt the address validation to the country
    Enum: "AFG", "ALA", "ALB", "DZA", "ASM", "AND", "AGO", "AIA", "ATA", "ATG", "ARG", "ARM", "ABW", "AUS", "AUT", "AZE", "BHS", "BHR", "BGD", "BRB", "BLR", "BEL", "BLZ", "BEN", "BMU", "BTN", "BOL", "BES", "BIH", "BWA", "BVT", "BRA", "IOT", "BRN", "BGR", "BFA", "BDI", "KHM", "CMR", "CAN", "CPV", "CYM", "CAF", "TCD", "CHL", "CHN", "CXR", "CCK", "COL", "COM", "COG", "COD", "COK", "CRI", "CIV", "HRV", "CUB", "CUW", "CYP", "CZE", "DNK", "DJI", "DMA", "DOM", "ECU", "EGY", "SLV", "GNQ", "ERI", "EST", "ETH", "FLK", "FRO", "FJI", "FIN", "FRA", "GUF", "PYF", "ATF", "GAB", "GMB", "GEO", "DEU", "GHA", "GIB", "GRC", "GRL", "GRD", "GLP", "GUM", "GTM", "GGY", "GIN", "GNB", "GUY", "HTI", "HMD", "VAT", "HND", "HKG", "HUN", "ISL", "IND", "IDN", "IRQ", "IRL", "IMN", "ISR", "ITA", "JAM", "JPN", "JEY", "JOR", "KAZ", "KEN", "KIR", "KOR", "KWT", "KGZ", "LAO", "LVA", "LBN", "LSO", "LBR", "LBY", "LIE", "LTU", "LUX", "MAC", "MKD", "MDG", "MWI", "MYS", "MDV", "MLI", "MLT", "MHL", "MTQ", "MRT", "MUS", "MYT", "MEX", "FSM", "MDA", "MCO", "MNG", "MNE", "MSR", "MAR", "MOZ", "MMR", "NAM", "NRU", "NPL", "NLD", "NCL", "NZL", "NIC", "NER", "NGA", "NIU", "NFK", "MNP", "NOR", "OMN", "PAK", "PLW", "PSE", "PAN", "PNG", "PRY", "PER", "PHL", "PCN", "POL", "PRT", "PRI", "QAT", "REU", "ROU", "RUS", "RWA", "BLM", "SHN", "KNA", "LCA", "MAF", "SPM", "VCT", "WSM", "SMR", "STP", "SAU", "SEN", "SRB", "SYC", "SLE", "SGP", "SXM", "SVK", "SVN", "SLB", "SOM", "ZAF", "SGS", "SSD", "ESP", "LKA", "SUR", "SJM", "SWZ", "SWE", "CHE", "TWN", "TJK", "TZA", "THA", "TLS", "TGO", "TKL", "TON", "TTO", "TUN", "TUR", "TKM", "TCA", "TUV", "UGA", "UKR", "ARE", "GBR", "USA", "UMI", "URY", "UZB", "VUT", "VEN", "VNM", "VGB", "VIR", "WLF", "YEM", "ZMB", "ZWE"

  - `orders.customer.shipping_address.firstname` (string)
    First name of the person associated with the address

  - `orders.customer.shipping_address.internal_additional_info` (string)
    Internal additional information for the shipping address

  - `orders.customer.shipping_address.lastname` (string)
    Last name of the person associated with the address

  - `orders.customer.shipping_address.phone` (string)
    Phone

  - `orders.customer.shipping_address.phone_secondary` (string)
    Phone secondary

  - `orders.customer.shipping_address.state` (string)
    Address state

  - `orders.customer.shipping_address.street_1` (string)
    First information line of the address street

  - `orders.customer.shipping_address.street_2` (string)
    Second information line of the address street

  - `orders.customer.shipping_address.zip_code` (string)
    Address zip code

  - `orders.invoice_details` (object)
    Invoice information linked to the order

  - `orders.invoice_details.document_details` (array)
    Invoice document information. Cannot be empty.

  - `orders.invoice_details.document_details.format` (string)
    Accounting document format
    Enum: "PDF", "cXML"

  - `orders.invoice_details.payment_terms` (object)
    Payment terms

  - `orders.invoice_details.payment_terms.days` (integer)
    Number of days

  - `orders.invoice_details.payment_terms.type` (string)
    Payment terms type.Possible values: END_OF_MONTH: payment is due after a number of calendar days following the invoice issue date, at the end of the given month. NET: payment is due after a number of calendar days following the invoice issue date.
    Enum: "END_OF_MONTH", "NET"

  - `orders.order_id` (string, required)
    Order identifier

  - `orders.payment_destination` (object)
    Payment destination in case of bank transfer

  - `orders.payment_destination.@type` (string, required)

  - `orders.payment_destination.payment_reference` (string)
    The payment reference for bank transfer

  - `orders.payment_workflow` (string)
    Order payment workflow. Can only be updated from PAY_ON_DUE_DATE to PAY_ON_ACCEPTANCE

  - `orders.references` (object)
    Order references

  - `orders.references.order_reference_for_customer` (string)
    Order reference for customer, only operator and front can update this field. May not be blank.

  - `orders.references.order_reference_for_seller` (string)
    Order reference for seller. May not be blank.

  - `orders.shipping_deadline` (string)
    Latest date of order shipment

  - `orders.shop_statistics` (object)
    Information about order exclusion from seller statistics

  - `orders.shop_statistics.excluded` (boolean, required)
    Order exclusion from seller statistics. Indicate if true or false

  - `orders.shop_statistics.reason` (string)
    Reason of order exclusion from seller statistics. Ignored if EXCLUDED is FALSE. Max length: 100 characters.

## Response 200 fields (application/json):

  - `updated_orders` (array)
    A list of updated orders and orders in error objects

  - `updated_orders.errors` (array)
    List of errors encountered when updating order

  - `updated_orders.errors.code` (string, required)
    Error code

  - `updated_orders.errors.field` (string, required)
    Name of the field on the input object. Can be composed, e.g.: address.zip_code

  - `updated_orders.errors.message` (string, required)
    Error message

  - `updated_orders.order_id` (string)
    Order identifier

  - `updated_orders.updated` (object)
    Details of the modified order

  - `updated_orders.updated.customer` (object)
    Customer information of the order (billing address, organization information)

  - `updated_orders.updated.customer.accounting_contact` (object)
    Data related to the accounting contact in the organization

  - `updated_orders.updated.customer.accounting_contact.customer_id` (string)
    Customer contact's identifier

  - `updated_orders.updated.customer.billing_address` (object)
    Customer billing address

  - `updated_orders.updated.customer.billing_address.city` (string)
    Address city

  - `updated_orders.updated.customer.billing_address.civility` (string)
    Civility of the person associated with the address

  - `updated_orders.updated.customer.billing_address.company` (string)
    Company of the person associated with the address

  - `updated_orders.updated.customer.billing_address.company_2` (string)
    Second company information of the person associated with the address

  - `updated_orders.updated.customer.billing_address.country` (string)
    Address country

  - `updated_orders.updated.customer.billing_address.country_iso_code` (string)
    Country ISO 3166-1 code of the address
    Enum: "AFG", "ALA", "ALB", "DZA", "ASM", "AND", "AGO", "AIA", "ATA", "ATG", "ARG", "ARM", "ABW", "AUS", "AUT", "AZE", "BHS", "BHR", "BGD", "BRB", "BLR", "BEL", "BLZ", "BEN", "BMU", "BTN", "BOL", "BES", "BIH", "BWA", "BVT", "BRA", "IOT", "BRN", "BGR", "BFA", "BDI", "KHM", "CMR", "CAN", "CPV", "CYM", "CAF", "TCD", "CHL", "CHN", "CXR", "CCK", "COL", "COM", "COG", "COD", "COK", "CRI", "CIV", "HRV", "CUB", "CUW", "CYP", "CZE", "DNK", "DJI", "DMA", "DOM", "ECU", "EGY", "SLV", "GNQ", "ERI", "EST", "ETH", "FLK", "FRO", "FJI", "FIN", "FRA", "GUF", "PYF", "ATF", "GAB", "GMB", "GEO", "DEU", "GHA", "GIB", "GRC", "GRL", "GRD", "GLP", "GUM", "GTM", "GGY", "GIN", "GNB", "GUY", "HTI", "HMD", "VAT", "HND", "HKG", "HUN", "ISL", "IND", "IDN", "IRQ", "IRL", "IMN", "ISR", "ITA", "JAM", "JPN", "JEY", "JOR", "KAZ", "KEN", "KIR", "KOR", "KWT", "KGZ", "LAO", "LVA", "LBN", "LSO", "LBR", "LBY", "LIE", "LTU", "LUX", "MAC", "MKD", "MDG", "MWI", "MYS", "MDV", "MLI", "MLT", "MHL", "MTQ", "MRT", "MUS", "MYT", "MEX", "FSM", "MDA", "MCO", "MNG", "MNE", "MSR", "MAR", "MOZ", "MMR", "NAM", "NRU", "NPL", "NLD", "NCL", "NZL", "NIC", "NER", "NGA", "NIU", "NFK", "MNP", "NOR", "OMN", "PAK", "PLW", "PSE", "PAN", "PNG", "PRY", "PER", "PHL", "PCN", "POL", "PRT", "PRI", "QAT", "REU", "ROU", "RUS", "RWA", "BLM", "SHN", "KNA", "LCA", "MAF", "SPM", "VCT", "WSM", "SMR", "STP", "SAU", "SEN", "SRB", "SYC", "SLE", "SGP", "SXM", "SVK", "SVN", "SLB", "SOM", "ZAF", "SGS", "SSD", "ESP", "LKA", "SUR", "SJM", "SWZ", "SWE", "CHE", "TWN", "TJK", "TZA", "THA", "TLS", "TGO", "TKL", "TON", "TTO", "TUN", "TUR", "TKM", "TCA", "TUV", "UGA", "UKR", "ARE", "GBR", "USA", "UMI", "URY", "UZB", "VUT", "VEN", "VNM", "VGB", "VIR", "WLF", "YEM", "ZMB", "ZWE"

  - `updated_orders.updated.customer.billing_address.firstname` (string)
    First name of the person associated with the address

  - `updated_orders.updated.customer.billing_address.lastname` (string)
    Last name of the person associated with the address

  - `updated_orders.updated.customer.billing_address.phone` (string)
    Phone

  - `updated_orders.updated.customer.billing_address.phone_secondary` (string)
    Phone secondary

  - `updated_orders.updated.customer.billing_address.state` (string)
    Address state

  - `updated_orders.updated.customer.billing_address.street_1` (string)
    First information line of the address street

  - `updated_orders.updated.customer.billing_address.street_2` (string)
    Second information line of the address street

  - `updated_orders.updated.customer.billing_address.zip_code` (string)
    Address zip code

  - `updated_orders.updated.customer.delivery_contact` (object)
    Data related to the delivery contact in the organization

  - `updated_orders.updated.customer.delivery_contact.customer_id` (string)
    Customer contact's identifier

  - `updated_orders.updated.customer.organization` (object)
    Data related to the organization that created the order (B2B transactions)

  - `updated_orders.updated.customer.organization.address` (object)
    Address of the organization

  - `updated_orders.updated.customer.organization.address.city` (string)
    Address city

  - `updated_orders.updated.customer.organization.address.country_iso_code` (string)
    Country ISO 3166-1 code of the address
    Enum: "AFG", "ALA", "ALB", "DZA", "ASM", "AND", "AGO", "AIA", "ATA", "ATG", "ARG", "ARM", "ABW", "AUS", "AUT", "AZE", "BHS", "BHR", "BGD", "BRB", "BLR", "BEL", "BLZ", "BEN", "BMU", "BTN", "BOL", "BES", "BIH", "BWA", "BVT", "BRA", "IOT", "BRN", "BGR", "BFA", "BDI", "KHM", "CMR", "CAN", "CPV", "CYM", "CAF", "TCD", "CHL", "CHN", "CXR", "CCK", "COL", "COM", "COG", "COD", "COK", "CRI", "CIV", "HRV", "CUB", "CUW", "CYP", "CZE", "DNK", "DJI", "DMA", "DOM", "ECU", "EGY", "SLV", "GNQ", "ERI", "EST", "ETH", "FLK", "FRO", "FJI", "FIN", "FRA", "GUF", "PYF", "ATF", "GAB", "GMB", "GEO", "DEU", "GHA", "GIB", "GRC", "GRL", "GRD", "GLP", "GUM", "GTM", "GGY", "GIN", "GNB", "GUY", "HTI", "HMD", "VAT", "HND", "HKG", "HUN", "ISL", "IND", "IDN", "IRQ", "IRL", "IMN", "ISR", "ITA", "JAM", "JPN", "JEY", "JOR", "KAZ", "KEN", "KIR", "KOR", "KWT", "KGZ", "LAO", "LVA", "LBN", "LSO", "LBR", "LBY", "LIE", "LTU", "LUX", "MAC", "MKD", "MDG", "MWI", "MYS", "MDV", "MLI", "MLT", "MHL", "MTQ", "MRT", "MUS", "MYT", "MEX", "FSM", "MDA", "MCO", "MNG", "MNE", "MSR", "MAR", "MOZ", "MMR", "NAM", "NRU", "NPL", "NLD", "NCL", "NZL", "NIC", "NER", "NGA", "NIU", "NFK", "MNP", "NOR", "OMN", "PAK", "PLW", "PSE", "PAN", "PNG", "PRY", "PER", "PHL", "PCN", "POL", "PRT", "PRI", "QAT", "REU", "ROU", "RUS", "RWA", "BLM", "SHN", "KNA", "LCA", "MAF", "SPM", "VCT", "WSM", "SMR", "STP", "SAU", "SEN", "SRB", "SYC", "SLE", "SGP", "SXM", "SVK", "SVN", "SLB", "SOM", "ZAF", "SGS", "SSD", "ESP", "LKA", "SUR", "SJM", "SWZ", "SWE", "CHE", "TWN", "TJK", "TZA", "THA", "TLS", "TGO", "TKL", "TON", "TTO", "TUN", "TUR", "TKM", "TCA", "TUV", "UGA", "UKR", "ARE", "GBR", "USA", "UMI", "URY", "UZB", "VUT", "VEN", "VNM", "VGB", "VIR", "WLF", "YEM", "ZMB", "ZWE"

  - `updated_orders.updated.customer.organization.address.state` (string)
    Address state

  - `updated_orders.updated.customer.organization.address.street_1` (string)
    First information line of the address street

  - `updated_orders.updated.customer.organization.address.street_2` (string)
    Second information line of the address street

  - `updated_orders.updated.customer.organization.address.zip_code` (string)
    Address zip code

  - `updated_orders.updated.customer.organization.identification_number` (string)
    Identification number of the organization

  - `updated_orders.updated.customer.organization.name` (string)
    Name of the organization

  - `updated_orders.updated.customer.organization.tax_identification_number` (string)
    Tax identification number of the organization

  - `updated_orders.updated.customer.shipping_address` (object)
    Customer shipping address

  - `updated_orders.updated.customer.shipping_address.additional_info` (string)
    Additional information for the shipping address

  - `updated_orders.updated.customer.shipping_address.city` (string)
    Address city

  - `updated_orders.updated.customer.shipping_address.civility` (string)
    Civility of the person associated with the address

  - `updated_orders.updated.customer.shipping_address.company` (string)
    Company of the person associated with the address

  - `updated_orders.updated.customer.shipping_address.company_2` (string)
    Second company information of the person associated with the address

  - `updated_orders.updated.customer.shipping_address.country` (string)
    Address country

  - `updated_orders.updated.customer.shipping_address.country_iso_code` (string)
    Country ISO 3166-1 code of the address
    Enum: "AFG", "ALA", "ALB", "DZA", "ASM", "AND", "AGO", "AIA", "ATA", "ATG", "ARG", "ARM", "ABW", "AUS", "AUT", "AZE", "BHS", "BHR", "BGD", "BRB", "BLR", "BEL", "BLZ", "BEN", "BMU", "BTN", "BOL", "BES", "BIH", "BWA", "BVT", "BRA", "IOT", "BRN", "BGR", "BFA", "BDI", "KHM", "CMR", "CAN", "CPV", "CYM", "CAF", "TCD", "CHL", "CHN", "CXR", "CCK", "COL", "COM", "COG", "COD", "COK", "CRI", "CIV", "HRV", "CUB", "CUW", "CYP", "CZE", "DNK", "DJI", "DMA", "DOM", "ECU", "EGY", "SLV", "GNQ", "ERI", "EST", "ETH", "FLK", "FRO", "FJI", "FIN", "FRA", "GUF", "PYF", "ATF", "GAB", "GMB", "GEO", "DEU", "GHA", "GIB", "GRC", "GRL", "GRD", "GLP", "GUM", "GTM", "GGY", "GIN", "GNB", "GUY", "HTI", "HMD", "VAT", "HND", "HKG", "HUN", "ISL", "IND", "IDN", "IRQ", "IRL", "IMN", "ISR", "ITA", "JAM", "JPN", "JEY", "JOR", "KAZ", "KEN", "KIR", "KOR", "KWT", "KGZ", "LAO", "LVA", "LBN", "LSO", "LBR", "LBY", "LIE", "LTU", "LUX", "MAC", "MKD", "MDG", "MWI", "MYS", "MDV", "MLI", "MLT", "MHL", "MTQ", "MRT", "MUS", "MYT", "MEX", "FSM", "MDA", "MCO", "MNG", "MNE", "MSR", "MAR", "MOZ", "MMR", "NAM", "NRU", "NPL", "NLD", "NCL", "NZL", "NIC", "NER", "NGA", "NIU", "NFK", "MNP", "NOR", "OMN", "PAK", "PLW", "PSE", "PAN", "PNG", "PRY", "PER", "PHL", "PCN", "POL", "PRT", "PRI", "QAT", "REU", "ROU", "RUS", "RWA", "BLM", "SHN", "KNA", "LCA", "MAF", "SPM", "VCT", "WSM", "SMR", "STP", "SAU", "SEN", "SRB", "SYC", "SLE", "SGP", "SXM", "SVK", "SVN", "SLB", "SOM", "ZAF", "SGS", "SSD", "ESP", "LKA", "SUR", "SJM", "SWZ", "SWE", "CHE", "TWN", "TJK", "TZA", "THA", "TLS", "TGO", "TKL", "TON", "TTO", "TUN", "TUR", "TKM", "TCA", "TUV", "UGA", "UKR", "ARE", "GBR", "USA", "UMI", "URY", "UZB", "VUT", "VEN", "VNM", "VGB", "VIR", "WLF", "YEM", "ZMB", "ZWE"

  - `updated_orders.updated.customer.shipping_address.firstname` (string)
    First name of the person associated with the address

  - `updated_orders.updated.customer.shipping_address.internal_additional_info` (string)
    Internal additional information for the shipping address

  - `updated_orders.updated.customer.shipping_address.lastname` (string)
    Last name of the person associated with the address

  - `updated_orders.updated.customer.shipping_address.phone` (string)
    Phone

  - `updated_orders.updated.customer.shipping_address.phone_secondary` (string)
    Phone secondary

  - `updated_orders.updated.customer.shipping_address.state` (string)
    Address state

  - `updated_orders.updated.customer.shipping_address.street_1` (string)
    First information line of the address street

  - `updated_orders.updated.customer.shipping_address.street_2` (string)
    Second information line of the address street

  - `updated_orders.updated.customer.shipping_address.zip_code` (string)
    Address zip code

  - `updated_orders.updated.delivery_date` (object)
    Expected order delivery date

  - `updated_orders.updated.delivery_date.earliest` (string)
    Earliest order delivery date

  - `updated_orders.updated.delivery_date.latest` (string)
    Latest order delivery date

  - `updated_orders.updated.invoice_details` (object)
    Invoice information linked to the order

  - `updated_orders.updated.invoice_details.document_details` (array)
    Invoice document information

  - `updated_orders.updated.invoice_details.document_details.format` (string)
    Accounting document format
    Enum: "PDF", "cXML"

  - `updated_orders.updated.invoice_details.payment_terms` (object)
    Payment terms

  - `updated_orders.updated.invoice_details.payment_terms.days` (integer)
    Number of days

  - `updated_orders.updated.invoice_details.payment_terms.type` (string)
    Payment terms type.Possible values: END_OF_MONTH: payment is due after a number of calendar days following the invoice issue date, at the end of the given month. NET: payment is due after a number of calendar days following the invoice issue date.
    Enum: "END_OF_MONTH", "NET"

  - `updated_orders.updated.leadtime_to_ship` (integer)
    Lead time to ship of the order

  - `updated_orders.updated.order_lines` (array)
    Details of the modified order line

  - `updated_orders.updated.order_lines.cancelations` (array)
    List of the cancelations

  - `updated_orders.updated.order_lines.cancelations.cancelation_id` (string)
    Cancelation identifier

  - `updated_orders.updated.order_lines.cancelations.eco_contributions` (array)
    List of eco-contribution amounts and corresponding producer identifiers, if applicable

  - `updated_orders.updated.order_lines.cancelations.eco_contributions.epr_category_code` (string)
    Extended Producer Responsibility category

  - `updated_orders.updated.order_lines.cancelations.eco_contributions.producer_id` (string)
    Producer identifier of the eco-contribution.

  - `updated_orders.updated.order_lines.cancelations.eco_contributions.producer_id_owner` (string)
    Owner of the producerId

  - `updated_orders.updated.order_lines.cancelations.eco_contributions.total_amount` (number)
    Total amount of the eco-contribution

  - `updated_orders.updated.order_lines.cancelations.eco_contributions.unit_amount` (number)
    Unit amount of the eco-contribution

  - `updated_orders.updated.order_lines.eco_contributions` (array)
    List of eco-contribution amounts and corresponding producer identifiers, if applicable

  - `updated_orders.updated.order_lines.eco_contributions.epr_category_code` (string)
    Extended Producer Responsibility category

  - `updated_orders.updated.order_lines.eco_contributions.producer_id` (string)
    Producer identifier of the eco-contribution.

  - `updated_orders.updated.order_lines.eco_contributions.producer_id_owner` (string)
    Owner of the producerId

  - `updated_orders.updated.order_lines.eco_contributions.total_amount` (number)
    Total amount of the eco-contribution

  - `updated_orders.updated.order_lines.eco_contributions.unit_amount` (number)
    Unit amount of the eco-contribution

  - `updated_orders.updated.order_lines.order_line_id` (string)
    Order line's identifier

  - `updated_orders.updated.order_lines.refunds` (array)
    List of the refunds

  - `updated_orders.updated.order_lines.refunds.eco_contributions` (array)
    List of eco-contribution amounts and corresponding producer identifiers, if applicable

  - `updated_orders.updated.order_lines.refunds.eco_contributions.epr_category_code` (string)
    Extended Producer Responsibility category

  - `updated_orders.updated.order_lines.refunds.eco_contributions.producer_id` (string)
    Producer identifier of the eco-contribution.

  - `updated_orders.updated.order_lines.refunds.eco_contributions.producer_id_owner` (string)
    Owner of the producerId

  - `updated_orders.updated.order_lines.refunds.eco_contributions.total_amount` (number)
    Total amount of the eco-contribution

  - `updated_orders.updated.order_lines.refunds.eco_contributions.unit_amount` (number)
    Unit amount of the eco-contribution

  - `updated_orders.updated.order_lines.refunds.refund_id` (string)
    Refund identifier

  - `updated_orders.updated.payment_destination` (object)
    Payment destination in case of bank transfer

  - `updated_orders.updated.payment_destination.@type` (string)
    Enum: "IBAN"

  - `updated_orders.updated.payment_destination.payment_reference` (string)
    The payment reference for bank transfer

  - `updated_orders.updated.payment_workflow` (string)
    Order payment workflow
    Enum: "PAY_ON_ACCEPTANCE", "PAY_ON_DELIVERY", "PAY_ON_DUE_DATE", "PAY_ON_SHIPMENT", "NO_CUSTOMER_PAYMENT_CONFIRMATION"

  - `updated_orders.updated.references` (object)
    Order references

  - `updated_orders.updated.references.order_reference_for_customer` (string)
    Order reference for customer

  - `updated_orders.updated.references.order_reference_for_seller` (string)
    Order reference for seller

  - `updated_orders.updated.shipping_deadline` (string)
    Latest date of order shipment

  - `updated_orders.updated.shop_statistics` (object)
    Information about order exclusion from seller statistics

  - `updated_orders.updated.shop_statistics.excluded` (boolean)
    Order exclusion from seller statistics. Indicate if true or false

  - `updated_orders.updated.shop_statistics.reason` (string)
    Reason of order exclusion from shop statistics. Ignored if EXCLUDED is FALSE. Max length: 100 characters.


## Response 400 fields
